package com.ruoyi.project.production.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TMonthlyQualityReportZ404Mapper;
import com.ruoyi.project.production.domain.TMonthlyQualityReportZ404;
import com.ruoyi.project.production.service.ITMonthlyQualityReportZ404Service;

/**
 * 质量月报Z404Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-27
 */
@Service
public class TMonthlyQualityReportZ404ServiceImpl implements ITMonthlyQualityReportZ404Service
{
    @Autowired
    private TMonthlyQualityReportZ404Mapper tMonthlyQualityReportZ404Mapper;

    /**
     * 查询质量月报Z404
     *
     * @param id 质量月报Z404ID
     * @return 质量月报Z404
     */
    @Override
    public TMonthlyQualityReportZ404 selectTMonthlyQualityReportZ404ById(Long id)
    {
        return tMonthlyQualityReportZ404Mapper.selectTMonthlyQualityReportZ404ById(id);
    }

    /**
     * 查询质量月报Z404列表
     *
     * @param tMonthlyQualityReportZ404 质量月报Z404
     * @return 质量月报Z404
     */
    @Override
    public List<TMonthlyQualityReportZ404> selectTMonthlyQualityReportZ404List(TMonthlyQualityReportZ404 tMonthlyQualityReportZ404)
    {
        return tMonthlyQualityReportZ404Mapper.selectTMonthlyQualityReportZ404List(tMonthlyQualityReportZ404);
    }

    /**
     * 新增质量月报Z404
     *
     * @param tMonthlyQualityReportZ404 质量月报Z404
     * @return 结果
     */
    @Override
    public int insertTMonthlyQualityReportZ404(TMonthlyQualityReportZ404 tMonthlyQualityReportZ404)
    {
        tMonthlyQualityReportZ404.setCreateTime(DateUtils.getNowDate());
        return tMonthlyQualityReportZ404Mapper.insertTMonthlyQualityReportZ404(tMonthlyQualityReportZ404);
    }

    /**
     * 修改质量月报Z404
     *
     * @param tMonthlyQualityReportZ404 质量月报Z404
     * @return 结果
     */
    @Override
    public int updateTMonthlyQualityReportZ404(TMonthlyQualityReportZ404 tMonthlyQualityReportZ404)
    {
        tMonthlyQualityReportZ404.setUpdateTime(DateUtils.getNowDate());
        return tMonthlyQualityReportZ404Mapper.updateTMonthlyQualityReportZ404(tMonthlyQualityReportZ404);
    }

    /**
     * 批量删除质量月报Z404
     *
     * @param ids 需要删除的质量月报Z404ID
     * @return 结果
     */
    @Override
    public int deleteTMonthlyQualityReportZ404ByIds(Long[] ids)
    {
        return tMonthlyQualityReportZ404Mapper.deleteTMonthlyQualityReportZ404ByIds(ids);
    }

    /**
     * 删除质量月报Z404信息
     *
     * @param id 质量月报Z404ID
     * @return 结果
     */
    @Override
    public int deleteTMonthlyQualityReportZ404ById(Long id)
    {
        return tMonthlyQualityReportZ404Mapper.deleteTMonthlyQualityReportZ404ById(id);
    }
}
